wibble::list::Sorted< List >::SharedPtr Struct Reference

`#include <list.h>`

Collaboration diagram for wibble::list::Sorted< List >::SharedPtr:
[legend]

## Public Member Functions

| SharedPtr (bool a=false)
| SharedPtr (const SharedPtr &o)
SharedPtr & | operator= (const SharedPtr &o)
| operator bool ()
Vec & | operator* ()
Vec * | operator-> ()
| ~SharedPtr ()

## Public Attributes

SharedVec * | vec

## Constructor & Destructor Documentation

## SharedPtr() [1/2]

template<typename List >

wibble::list::Sorted< List >::SharedPtr::SharedPtr | ( | bool | a = `false` | ) |

inline

## SharedPtr() [2/2]

template<typename List >

wibble::list::Sorted< List >::SharedPtr::SharedPtr | ( | const SharedPtr & | o | ) |

inline

References wibble::list::Sorted< List >::SharedVec::_ref(), and wibble::list::Sorted< List >::SharedPtr::vec.

## ~SharedPtr()

template<typename List >

wibble::list::Sorted< List >::SharedPtr::~SharedPtr | ( |  | ) |

inline

References wibble::list::Sorted< List >::SharedVec::_deref(), and wibble::list::Sorted< List >::SharedVec::refs.

## Member Function Documentation

## operator bool()

template<typename List >

wibble::list::Sorted< List >::SharedPtr::operator bool | ( |  | ) |

inline

## operator*()

template<typename List >

Vec& wibble::list::Sorted< List >::SharedPtr::operator* | ( |  | ) |

inline

References wibble::list::Sorted< List >::SharedVec::vec.

## operator->()

template<typename List >

Vec* wibble::list::Sorted< List >::SharedPtr::operator-> | ( |  | ) |

inline

References wibble::list::Sorted< List >::SharedVec::vec.

## operator=()

template<typename List >

SharedPtr& wibble::list::Sorted< List >::SharedPtr::operator= | ( | const SharedPtr & | o | ) |

inline

References wibble::list::Sorted< List >::SharedVec::_ref(), and wibble::list::Sorted< List >::SharedPtr::vec.

## Member Data Documentation

## vec

template<typename List >

SharedVec* wibble::list::Sorted< List >::SharedPtr::vec

Referenced by wibble::list::Sorted< List >::SharedPtr::operator=(), and wibble::list::Sorted< List >::SharedPtr::SharedPtr().

The documentation for this struct was generated from the following file:

- list.h